LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XProxyRunner Interface Referencepublished

is the interface run Mozilla XPCOM code in a managed environment More...

`import "XProxyRunner.idl";`

Inheritance diagram for XProxyRunner:

## Public Member Functions
long | Run ([in]XCodeProxy aCode)
| attempts to Run XPCOM code in a managed environment
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is the interface run Mozilla XPCOM code in a managed environment

See also
  com::sun::star::mozilla::XProfileDiscover
  com::sun::star::mozilla::MozillaBootstrap

## Member Function Documentation

## ◆ Run()

long Run | ( | [in] XCodeProxy | aCode | ) |

attempts to Run XPCOM code in a managed environment

Parameters

  aCode | is a com:sun:star:mozilla:XCodeProxy object to be run.

Returns
  the error code, is 0 when no error happened.

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XProxyRunner.idl